Bug 31061 - Improve software update script
Improve software update script
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks: 31127
  Show dependency treegraph
 
Reported: 2013-04-15 16:51 CEST by Erik Damrose
Modified: 2013-04-22 17:24 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-04-15 16:51:46 CEST
The software update script univention-ucc-software-update should be improved in several places:
- There is the possibility to see no plymouth message during package list updates
- When a reboot is necessary to start with a r/w filesystem, the script should exit after issuing the reboot command. This could also remove screen flickering due to repeated lightdm restarts.
Comment 1 Erik Damrose univentionstaff 2013-04-16 10:42:53 CEST
Fixed in ucc-errata

- some refactoring: update package list and initiating reboot
- exit univention-ucc-software-update when rebooting -> avoids lightdm start while rebooting
- added plymouth messages during apt-get update and when rebooting

univention-corporate-client 1.0.23-2.77.201304161035
2013-04-02-univention-corporate-client.yaml
Comment 2 Erik Damrose univentionstaff 2013-04-22 14:13:05 CEST
Additional fix: 

* Unset kdm/autostart to keep plymouth displaying during software updates

univention-corporate-client 1.0.23-3.78.201304221409
2013-04-02-univention-corporate-client.yaml
Comment 3 Felix Botner univentionstaff 2013-04-22 14:36:53 CEST
OK - YAML

OK - Installation (thinclient, desktop image)
     Software Update (thinclient, desktop image)
     Software (De)Installation (thinclient, desktop image)
     kdm/autostart is removed
Comment 4 Janek Walkenhorst univentionstaff 2013-04-22 17:24:28 CEST
http://errata.univention.de/ucc/1.0/1.html